org.keycloak.models.entities

## Class UserConsentEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.UserConsentEntity

- Direct Known Subclasses:
    MongoUserConsentEntity

      public class UserConsentEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConsentEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `List<String>` | `getGrantedProtocolMappers()`
    `List<String>` | `getGrantedRoles()`
    `String` | `getUserId()`
    `void` | `setClientId(String clientId)`
    `void` | `setGrantedProtocolMappers(List<String> grantedProtocolMappers)`
    `void` | `setGrantedRoles(List<String> grantedRoles)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConsentEntity

          public UserConsentEntity()

  - ### Method Detail

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getGrantedRoles

          public List<String> getGrantedRoles()

    - #### setGrantedRoles

          public void setGrantedRoles(List<String> grantedRoles)

    - #### getGrantedProtocolMappers

          public List<String> getGrantedProtocolMappers()

    - #### setGrantedProtocolMappers

          public void setGrantedProtocolMappers(List<String> grantedProtocolMappers)

Copyright © 2016 JBoss by Red Hat. All rights reserved.